--
-- WheelWeights - HardPoint
--
-- @author:    	Xentro (Marcus@Xentro.se)
-- @website:	www.Xentro.se
-- @history:	v1.0 - 2016-08-02 - Initial implementation
-- 

WheelWeights = {};

function WheelWeights:prerequisitesPresent(specializations)
	return true;
end;

-- pre check before attaching
function WheelWeights:allowAdding(vehicle, attaching, object) -- future ,locationID, objectID
	return true;
end;

function WheelWeights:load(xmlFile)
	self.rotationIds = {};
	self.rotationIds[1] = 3; -- component 1, wheel 3
	self.rotationIds[2] = 4; -- component 2, wheel 4
end;

function WheelWeights:delete()
end;

function WheelWeights:readStream(streamId, connection)
end;

function WheelWeights:writeStream(streamId, connection)
end;

function WheelWeights:update(dt)
	if self:getIsActive() then
		for i, v in ipairs(self.rotationIds) do
			if self.components[i] ~= nil then
				local rot = {getRotation(self.vehicle.wheels[v].driveNode)}
				setRotation(self.components[i].node, unpack(rot));
			end;
		end;
	end;
end;

function WheelWeights:updateTick(dt)
end;

function WheelWeights:draw()
end;
