--
-- SectionReplacer
--
-- @author:    	Xentro (Marcus@Xentro.se)
-- @website:	www.Xentro.se
-- @history:	
-- 
--[[

]]--

SectionReplacer = {};

function SectionReplacer.prerequisitesPresent(specializations)
    return true;
end;

function SectionReplacer:allowAdding(vehicle, attaching, object) -- future ,locationID, objectID
	if vehicle.isMotorStarted then
		local txt;
		if g_i18n:hasText("HP_ERROR_MOTOR_STARTED") then
			txt = g_i18n:getText("HP_ERROR_MOTOR_STARTED");
		end;
			
		return false, txt;
	end;
	
	return true;
end;

function SectionReplacer:load(xmlFile)
	local parent = self.vehicle; -- this is the vehicle we attach object to.
	
	-- Reload the motor section
	-- Motorized.loadDifferentials(parent, xmlFile);
	Motorized.loadMotor(parent, xmlFile);
	
	-- Reload wheel section
	for i = 1, table.getn(parent.wheels) do
        local wheel = parent.wheels[i];
        local wheelnamei = string.format("vehicle.wheels.wheel(%d)", wheel.xmlIndex);

        parent:loadDynamicWheelDataFromXML(xmlFile, wheelnamei, wheel);
    end;

    parent:loadWheelsSteeringDataFromXML(xmlFile);
	
	-- Spare parts
    local i = 0;
    while true do
        local key = string.format("vehicle.spareParts.sparePart(%d)", i);
        if not hasXMLProperty(xmlFile, key) then break; end;
		
        local node = Utils.indexToObject(self.vehicle.components, getXMLString(xmlFile, key .. "#index"));
        if hasXMLProperty(xmlFile, key .. "#visibility") then
            setVisibility(node, getXMLBool(xmlFile, key .. "#visibility"));
        end;
		
        i = i + 1;
    end;
	
	self.updateTime = 0;
	
	-- We need to know what function to call to reload the gearbox by mogli
end;

function SectionReplacer:delete()
end;

function SectionReplacer:readStream(streamId, connection)
end;

function SectionReplacer:writeStream(streamId, connection)
end;

function SectionReplacer:update(dt)
end;

function SectionReplacer:updateTick(dt)
end;

function SectionReplacer:draw()
end;